// Header file to access Pythia 8 program elements.
#include "Pythia8/Pythia.h"
#include <cmath>
#include <iostream>
#include <stdexcept>
#include <string>

using namespace Pythia8;


int main(int argc, char * argv[]){
  
  // Generator and shorthand for the event	
  Pythia pythia;

  // Read in commands from external file
  pythia.readFile(argv[1]);

  // Initialize
  pythia.init();
  Event & event = pythia.process;

  // Extract settings to be used in the main program.
  int nEvent  = pythia.mode("Main:numberOfEvents");
       
  // int nAbort  = pythia.mode("Main:timesAllowErrors");

 
  // Begin event loop. Generate event; skip if generation aborted:
  for (int iEvent = 0; iEvent < nEvent ; ++iEvent) {
    if (!pythia.next()) continue;

    if(iEvent==0) pythia.process.list();   // print 1st event : they all look the same

  } //end for loop

  // print cross sections etc:
  pythia.statistics();
	
  return 0;  // return an integer, as the declation of the main() wants
}
